mscorlib 2.0.0.0 4.0.0.0 Contravariant To be added.

Provides a mechanism to customize equality in sort ordering of a generic collection.

To be added.
- Method
  System.Boolean `` `` First to compare. Second to compare.

  Determines whether the specified objects are equal.

  if the specified objects are equal; otherwise, .

  An implementation of Equals(T,T) shall satisfy the following: The equality function shall be be reflexive, so x.Equals(x) is true; symmetric, so x.Equals(y) and y.Equals(x); and transitive, so x.Equals(y) and y.Equals(z) implies x.Equals(z); for any values x, y and z for which these expressions are defined.

  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The object for which the hash code is to be returned.

  Returns a hash code for the specified object.

  A hash code for the specified object.

  To produce a hash function for the given object. A hash function is used to quickly generate a number (a hash code) corresponding to the value of an object. Hash functions are used with . A good hash function algorithm rarely generates hash codes that collide. For more information about hash functions, see , Vol. 3, by Donald E. Knuth.

  All implementations are required to ensure that if x.Equals(y) == true, then x.GetHashCode() equals y.GetHashCode(), for any x and y values for which these expressions are defined.

  The type of is a reference type and is . 2.0.0.0 4.0.0.0